Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Programmeren in Ruby  (gelezen 5114 keer)

Eider

  • Gast
Programmeren in Ruby
« Gepost op: 2007/12/30, 18:52:22 »
Ik ben vanmiddag begonnen met een simpele tutorial om Ruby te leren.
Dit lijkt me heel leuk om te gaan doen. Ik oefen nu wat via HacketyHack onder windows XP, maar ik heb liever Ubuntu :P (uiteraard). hacketyhack werkt niet onder ubuntu bij mij.

Welke programma's kan ik gebruiken om scripts te schrijven en wat heb ik nodig om deze vervolgens te draaien?

Heeft er daarnaast nog iemand wat leuke tutorials om Ruby onder de knie te krijgen?

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
Programmeren in Ruby
« Reactie #1 Gepost op: 2007/12/31, 09:55:32 »
Ben zelf een Perl hacker (hou niet zo van dat object-georienteerde), maar in principe is alles wat je nodig hebt een tekst editor als vi (voor de die-hards) of gedit en natuurlijk de Ruby interpreter zelf.

Je zou eens kunnen googlen op de combinatie "IDE" (staat dacht ik voor Integrated Development Environment) en "Ruby" en "Linux" voor de geintegreerde omgevingen die je daarvoor hebt. In zo'n IDE kan je programmeren in een teksteditor en daarbinnen meteen uitvoeren en debuggen. Ik meen zelfs dat Ruby-on-Rails zoiets heeft, maar het kan ook zijn dat dat alleen libraries zijn.

Hack ze!
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl

Eider

  • Gast
Programmeren in Ruby
« Reactie #2 Gepost op: 2007/12/31, 17:55:32 »
Ik vind het toch wel frustrerend dat HacketyHack niet werkt onder Linux.

Misschien kan iemand mij toch helpen.

Om het te installeren staat er dat je dit moet intypen in de terminal:
sudo apt-get install libwxgtk2.8-0
cd hacketyhack-0.L                                                                                                  
LD_LIBRARY_PATH=/usr/lib/firefox:. ./hacketyhack
Als ik die laatste regel uitvoer krijg ik deze foutmelding:
/home/bram/hacketyhack-0.L/ruby/lib/hpricot/builder.rb:193: warning: parenthesize argument(s) for future version
(eval): [BUG] Segmentation fault
ruby 1.8.5 (2006-12-25) [i686-linux]

Afgebroken (core dumped)
Wat is de bedoeling van die regel en weet iemand een oplossing?

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
Programmeren in Ruby
« Reactie #3 Gepost op: 2008/01/01, 15:32:14 »
Lijkt me de "./hacketyhack" op een nieuwe regel moet.

Als je dat toch gedaan hebt dan is er een vrij forse fout opgetreden, een programma-crash, waar je zo 1-2-3 niet veel aan kunt doen.

Eerst maar es naar die nieuwe regel kijken dus.
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl

Eider

  • Gast
Programmeren in Ruby
« Reactie #4 Gepost op: 2008/01/01, 20:10:35 »
Werkt nog niet. Krijg ik een andere foutmelding
a@b:~$ cd hacketyhack-0.L
a@b:~/hacketyhack-0.L$ LD_LIBRARY_PATH=/usr/lib/firefox:.
a@b:~/hacketyhack-0.L$ ./hacketyhack
./hacketyhack: error while loading shared libraries: libruby.so.1.8: cannot open shared object file: No such file or directory
a@b:~/hacketyhack-0.L$

Offline Erik Terpstra

  • Lid
  • Steunpunt: Nee
Programmeren in Ruby
« Reactie #5 Gepost op: 2008/01/01, 20:19:55 »
Het lijkt er op dat Ruby niet volledig is geinstalleerd, voer het volgende eens uit:

  sudo apt-get install libruby1.8 ruby1.8-dev

En probeer dan nogmaals hacketyhack te installeren.

Als dat nog niet lukt, wil ik graag de output zien van het volgende commando:

  dpkg -l |grep ruby

Offline Erik Terpstra

  • Lid
  • Steunpunt: Nee
Programmeren in Ruby
« Reactie #6 Gepost op: 2008/01/01, 20:25:27 »
Ik kan dit ook aanbevelen om Ruby te leren:

  http://tryruby.hobix.com
  http://www.rubycentral.com/pickaxe/
  http://poignantguide.net/ruby/

Welke talen ben je al bekend mee? Dat is wel handig om te weten.

Je mag me voor Ruby vragen ook mailen: erik apestaartje ruby-lang.nl

Eider

  • Gast
Programmeren in Ruby
« Reactie #7 Gepost op: 2008/01/02, 10:39:59 »
Ik ben eigenlijk met nog een enkele andere programmeertaal bekend. Dit is mijn eerste poging om te leren programmeren. Ben al wel lang bezig met HTML, CSS en het aanpassen van PHP code, maar nog nooit een echte programmeertaal geleerd :).

Krijg nog steeds dezelfde foutmelding nadat ik dit heb geïnstalleerd:
 sudo apt-get install libruby1.8 ruby1.8-devHier de output:
a@b:~/hacketyhack-0.L$ dpkg -l |grep ruby
ii  liberb-ruby                                2.0.4+ruby1.8.2-1                         Tiny eRuby
rc  libgems-ruby1.8                            0.9.4-1ubuntu1                            libraries to use RubyGems, a package managem
ii  libreadline-ruby1.8                        1.8.6.36-1ubuntu3                         Readline interface for Ruby 1.8
ii  libredcloth-ruby1.8                        3.0.99.0.svn.20060519-1                   Textile module for Ruby 1.8
ii  libruby1.8                                 1.8.6.36-1ubuntu3                         Libraries necessary to run Ruby 1.8
ii  libsqlite3-ruby1.8                         1.2.1-1                                   SQLite3 interface for Ruby 1.8
ii  rails                                      1.2.4-1ubuntu1.1                          MVC ruby based framework geared for web appl
ii  rake                                       0.7.1-2                                   a ruby build program
ii  rdoc                                       1.8.2-1                                   Generate documentation from ruby source file
ii  ruby                                       1.8.2-1                                   An interpreter of object-oriented scripting
ii  ruby1.8                                    1.8.6.36-1ubuntu3                         Interpreter of object-oriented scripting lan
ii  ruby1.8-dev                                1.8.6.36-1ubuntu3                         Header files for compiling extension modules
ii  rubybook                                   0.2.1-1                                   the "Programming Ruby" book
rc  rubygems                                   0.9.4-1ubuntu1                            package management framework for Ruby librar